# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-libs/libdvb/libdvb-0.5.5-r1.ebuild,v 1.1 2004/12/24 12:46:30 martini Exp $

inherit dvb eutils

DESCRIPTION="libdvb package with added CAM library and libdvbmpegtools as well as dvb-mpegtools"
HOMEPAGE="http://www.metzlerbros.org/dvb/"
SRC_URI="http://www.metzlerbros.org/dvb/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"

if [ "${KV:0:3}" == "2.6" ]
then
	DEPEND=">=sys-apps/sed-4"
fi

if [ "${KV:0:3}" == "2.4" ]
then
	DEPEND=">=sys-apps/sed-4
	>=media-tv/linuxtv-dvb-1.0.1"
fi

src_unpack() {

	if [ "${KV:0:3}" == "2.6" ]
	then
		einfo "Kernel 2.6.x detected"
	fi

	if [ "${KV:0:3}" == "2.4" ]
	then
		einfo "Kernel 2.4.x detected"
	fi

	unpack ${A} && cd "${S}"

	dvb_find_driver_include
	echo "INCLUDES += -I${DVB_DRIVER_INCLUDE}" >> config.mk

	# Disable compilation of sample programs
	# and use DESTDIR when installing
	epatch "${FILESDIR}/${P}-gentoo.patch"
	
	# Patching for using with Adreas Kool's
	# AnalogTV-Plugin vor VDR
	einfo
	einfo "VDR_OPTS: $VDR_OPTS"
	einfo
	if vdr_opts analogtv; then
	epatch ${FILESDIR}/${P}-analogtv.patch
	fi
}

src_compile() {
	emake || die "compile problem"
}

src_install() {
	make DESTDIR="${D}" PREFIX=/usr install || die

	insinto "/usr/share/doc/${PF}/sample_progs"
	doins sample_progs/*
	insinto "/usr/share/doc/${PF}/samplerc"
	doins samplerc/*

	insinto "/usr/include/libdvb"
	mv ${D}/usr/include/*h ${D}/usr/include/libdvb

	dodoc README
}
