# Copyright 2003 Martin Hierling <mad@cc.fh-lippe.de>
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/noad/noad-0.6.0.ebuild,v 1.7 2005/05/15 22:46:35 hd_brummy Exp $

RESTRICT="nomirror"

S=${WORKDIR}/${P}
DESCRIPTION="removes advertisings from vdr recordings"
HOMEPAGE="http://http://www.rgob.com/members/theNoad/"
SRC_URI="http://www.freepgs.com/noad/noad-${PV}.tar.bz2"

KEYWORDS="x86"
SLOT="0"
LICENSE="GPL-2"
IUSE="ffmpeg"

DEPEND="media-libs/libmpeg2
		media-video/vdr
		ffmpeg? (>=media-video/ffmpeg-0.4.8)
		"

src_unpack() {
	unpack ${A}
	cd ${S}
}

src_compile() {
		local myconf
		if use ffmpeg; then
			myconf="${myconf} --with-ffmpeg"
		else
			myconf="${myconf} --without-ffmpeg"
		fi
#       echo "${myconf}" > ${T}/configure-options
	./configure --with-mpeginclude=/usr/include/mpeg2dec \
	${myconf}
	make || die "compile problem vdr"

}

src_install() {

	dodoc COPYING README INSTALL HISTORY
	# example scripts are installed as dokumentation
	dodoc allnewnoad allnoad allnoadnice clearlogos noadifnew stat2html

	exeinto /usr/bin
	doexe noad
}

pkg_postinst() {

	einfo
	einfo "Congratulations, you have just installed noad!,"
	einfo "To integrate noad in VDR you should do this:"
	einfo
	einfo "In /etc/conf.d/vdr:"
	einfo "-- cut here ---"
	einfo "RECORD=\"noad nice --statisticfile=/video/noad.stat\" "
	einfo "--- cut here ---"
	einfo
	einfo "More infos can be found on vdr.gentoo.de"
	einfo
	einfo "Note: You can use here all pararmeters for noad, please"
	einfo "look in the documentation of noad."
	einfo
}
