# Copyright 2004-2004 Christain Gmeiner <christian at visual-page dot de>
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdr/vdr-1.3.18.ebuild,v 1.1 2005/01/11 23:42:15 austriancoder Exp $

RESTRICT="nomirror"

IUSE="lirc doc"

# all patches
#BEAUTY="vdr-1.3.10-beauty"
AIO="vdr-1.3.18-enAIO-1.8"
SUBMENU="cmd_submenu.patch"
JUMPPLAY="vdr-jumpplay-0.6-1.3.18.diff"
#SETTIME="settime-1.3.11.diff"
LNBSHARING="configurableLNBshare-VDR_1.3.18.patch"
PREFFERED_AUDIOPID="preffered-audiopid-patch-1.3.8-v3.diff"
#YAEPG="vdr-1.3.7-yaepg.diff"
#DISABLE_EPG_SCAN="disableEPG-Scan-136-0.1.0.diff"
ANALOGTV="analog-vdr-1.3.0.patch"
INSTANT_REPLAY="instant_replay_1.3.11.diff"
DIRECTOR="vdr-director.diff"
SUBSTTXTSUBS="vdr-1.3.18-subtitles-0.3.6-and-ttxtsubs-0.0.5"
HDTV="vdr-1.3.18-HDTV.patch"

DESCRIPTION="The Video Disk Recorder"
HOMEPAGE="http://www.cadsoft.de/vdr/"
SRC_URI="
 ftp://ftp.cadsoft.de/vdr/Developer/vdr-${PV}.tar.bz2
 http://www.saunalahti.fi/~rahrenbe/vdr/patches/${AIO}.diff.gz
 http://www.e-tobi.net/vdr/downloads/${SUBMENU}.gz
 http://www.akool.de/download/patches/vdr-RO.patch.bz2
 http://www.xn--ltzke-jua.de/dvb/VDR_LNB_sharing_patch/${LNBSHARING}
 http://www.saunalahti.fi/~rahrenbe/vdr/patches/${SUBSTTXTSUBS}.diff.gz
 http://home.vr-web.de/~rnissl/${HDTV}.gz
 "

KEYWORDS="~x86 ~ppc ~amd64"
SLOT="0"
LICENSE="GPL-2"

if [ "${KV:0:3}" == "2.6" ]
then
 DEPEND="virtual/glibc
 media-libs/jpeg
 >=media-libs/libdvb-0.5.4
 sys-libs/ncurses
 app-admin/sudo
 lirc? ( app-misc/lirc )
 app-portage/gentoolkit
 "
fi

if [ "${KV:0:3}" == "2.4" ]
then
 DEPEND="virtual/glibc
 virtual/linux-sources
 >=linuxtv-dvb-1.0.0
 media-libs/jpeg
 >=media-libs/libdvb-0.5.4
 sys-libs/ncurses
 app-admin/sudo
 lirc? ( app-misc/lirc )
 app-portage/gentoolkit
 "
fi

# include functions from eutils
inherit eutils dvb

src_unpack() {
	unpack ${A}
	cd ${S}

	if [ "${KV:0:3}" == "2.4" ]
	then
		einfo "Kernel 2.4.x detected"
	fi
	einfo
	echo
	
	# subtitles patch
	if vdr_opts subtitles
	then
		epatch ../${SUBSTTXTSUBS}.diff
		echo
	fi
	
	# enAIO Patch
	# * Easyinput Patch by Marcel Schaeben / Patrick Maier  
	# * Rename Recordings Patch by Torsten Kunkel  
	# * Menu Selection Patch by Peter D.  
	# * Recording Length Patch by Tobias Faust  
	# * Show Weekdays Patch by Oskar Signell
	if vdr_opts aio
	then
		epatch ../${AIO}.diff
		echo
	fi
	
	# Replay Mode Beauty Patch
	#if vdr_opts beauty
	#then
	#	epatch ../${BEAUTY}.diff
	#	echo
	#fi

	# Submenu Patch
	if vdr_opts submenu
	then
		epatch ../${SUBMENU}
		echo
	fi

	# Jumpplay Patch
	# Patch to automatically jump over cutting marks.
	if vdr_opts jumpplay
	then
		epatch ${FILESDIR}/${JUMPPLAY}
		echo
	fi

	# settime Patch
	# sets time via dvb also with non-root users
	#if vdr_opts time
	#then
	#	epatch ${FILESDIR}/${SETTIME}
	#	echo
	#fi

	# vdr-ro Patch
	if vdr_opts vdr-ro
	then
		epatch ../vdr-RO.patch
		echo
	fi

	# lnb-sharing patch
	if vdr_opts lnb-sharing
	then
		epatch ${DISTDIR}/${LNBSHARING}
		echo
	fi

	# preffered-audiopid patch
	if vdr_opts preffered-audiopid
	then
		epatch ${FILESDIR}/${PREFFERED_AUDIOPID}
		echo
	fi

	# yaepg plugin patch
	#if vdr_opts yaepg
	#then
	#	if vdr_opts beauty
	#	then
	#		ewarn
	#		ewarn "Can't apply yaepg plugin patch, because it conflicts with beauty patch."
	#		ewarn "To fix this remove beauty from your VDR_OPTs."
	#		ewarn
	#		echo
	#		sleep 3
	#	else
	#		dvb_find_driver_include
	#		if grep -q OSD_OpenRaw ${DVB_DRIVER_INCLUDE}/linux/dvb/*.h; 
	#		then
	#			einfo "detect patched driver"
	#			epatch ${FILESDIR}/${YAEPG}
	#			echo
	#		else
	#			ewarn "detect too old driver"
	#			ewarn "You need to update your DVB-Driver, or"
	#			ewarn "set the correct path to your patch driver/cvs-source"
	#			ewarn "via DVB_DRIVER_INCLUDE="..." in your /etc/make.conf"
	#			ebeep 3
	#			echo
	#		fi
	#	fi
	#fi	

	# disable epg scans
	#if vdr_opts disable-epg-scan
	#then
	#	epatch ${FILESDIR}/${DISABLE_EPG_SCAN}
	#	echo
	#fi

	# for the analogtv-plugin
	if vdr_opts analogtv
	then
		epatch ${FILESDIR}/${ANALOGTV}

		# This gets rid of the ringbuffer overflow errors while watching analog channels
		/bin/sed -i transfer.c \
			-e 's:VIDEOBUFSIZE  MEGABYTE(1):VIDEOBUFSIZE  MEGABYTE(8):'
	fi

	# instant-replay patch
	if vdr_opts instant-replay
	then
		epatch ${FILESDIR}/${INSTANT_REPLAY}
		echo
	fi

	# director
	if vdr_opts director
	then
		epatch ${FILESDIR}/${DIRECTOR}
		echo
	fi

	# hdtv
	if vdr_opts hdtv
	then
		epatch ../${HDTV}
		echo
	fi

	# apply local patches
	if test -n "${VDR_LOCAL_PATCHES}"; 
	then
		ewarn "Applying local patches:"
		for LOCALPATCH in ${VDR_LOCAL_PATCHES}; 
		do
			if test -f "${LOCALPATCH}";
			then
				epatch ${LOCALPATCH}
			fi
		done
	else
		einfo "No additional local patches to use"	
	fi
	echo

	# here comes the gentoo specific stuff ( also called the "fun part")
	# for Makefile...
	sed -i .original Makefile \
	  -e 's:PLUGINDIR= ./PLUGINS:PLUGINDIR= /usr/lib/vdr:' \
	  -e 's:$(PLUGINDIR)/lib:$(PLUGINDIR):' \
	  -e '/Make.config/d' \
	  -e '51iCONFIGDIR = /etc/vdr' \
	  -e '51iDEFINES += -DCONFIGDIR=\\\"$(CONFIGDIR)\\\"'

	# patch makefile
	dvb_patch_all_makefiles

	# now for ci.c
	if [ "${KV:0:3}" == "2.6" ] ; then
	    sed -i ci.c \
	    -e "10i#define __KERNEL__
#include <asm/unaligned.h>
#undef __KERNEL__"
	fi
}

src_compile() {
	local myconf
	use lirc && myconf="${myconf} REMOTE=LIRC"
	vdr_opts rcu && myconf="${myconf} REMOTE=RCU"
	vdr_opts vfat && myconf="${myconf} VFAT=1"
	vdr_opts no-kbd && myconf="${myconf} NO_KBD=1"
	vdr_opts hdtv && myconf="${myconf} HDTV_SUPPORT=1"

	echo
	ewarn
	einfo " -- Building VDR with this options ${myconf} --"
	ewarn
	echo

       	if [ -d $VDRSOURCE_DIR ] && [ ! -z $VDRSOURCE_DIR ]; then
        	echo "make ${myconf} || die \"vdr compile problem\"" >> makevdr
        	echo "make ${myconf} plugins || die \"vdr compile problem\"" >> makevdr
        fi

	make ${myconf} || die "vdr compile problem"

	mkdir -p include/vdr
	(cd include/vdr; for i in ../../*.h; do ln -sf $i .; done)

	for i in ${S}/PLUGINS/src/*; do
		make -C ${i} all || die "compile problem plugin: ${i}"
	done

	# generate vdr-set-shutdown script
	cat > vdr-set-shutdown <<-'EOT'
		#!/bin/bash
		onoff[0]="off"
		onoff[1]="on"
		source /etc/conf.d/vdr
		test -z "${VIDEO}" && VIDEO=/video
		ctrlfile=${VIDEO}/shutdown-enabled
		case "${1}" in
		  0|off) test -f ${ctrlfile} && rm -f ${ctrlfile}; shift;;
		  1|on) touch ${VIDEO}/shutdown-enabled; shift;;
		esac
		state=0
		test -f ${ctrlfile} && state=1
		echo vdr-shutdown is set to ${onoff[$state]}
		exit ${state}
	EOT
}

src_install() {
	insopts -m0644
	insinto /etc/conf.d
	newins ${FILESDIR}/confd vdr
	doins ${FILESDIR}/vdr.shutdown
	insinto /etc/init.d
	insopts -m0755
	newins ${FILESDIR}/rc.vdr vdr
	newins ${FILESDIR}/rc.vdrwatchdog vdrwatchdog

        # install docs only, if we have doc in the USE-Flags
        if use doc; then
                einfo "Installing docs..."

		dodoc CONTRIBUTORS COPYING README* INSTALL MANUAL HISTORY* UPDATE-1.2.0
		dohtml PLUGINS.html
		doman vdr.[15]
	fi

	for i in $(ls ${S}/PLUGINS/src) 
	do
		insinto /usr/lib/vdr
		insopts -m0755
		newins ${S}/PLUGINS/src/${i}/libvdr-${i}.so libvdr-${i}.so.${PV}
		dosym /usr/lib/vdr/libvdr-${i}.so.${PV} /usr/lib/vdr/libvdr-${i}.so
	done

	insinto /usr/include/vdr
	doins *.h

	exeinto /usr/bin
	doexe vdr
	doexe svdrpsend.pl
	doexe ${FILESDIR}/vdrshutdown.sh
	doexe ${FILESDIR}/vdrshutdown-check.sh
	doexe ${FILESDIR}/vdrshutdown-acpi.pl
	doexe ${FILESDIR}/vdrwatchdog.sh
	doexe vdr-set-shutdown

	insinto /usr/sbin
	insopts -m755
	newins ${FILESDIR}/vdr-reemerge-plugins-0.0.4 vdr-reemerge-plugins

	insopts -m0644 -ovdr -gvideo

	# add control of shutdown into /etc/vdr/commands.conf
	if grep -q /usr/bin/vdr-set-shutdown /etc/vdr/commands.conf; then
		cp /etc/vdr/commands.conf commands.conf
		# change nothing
	else
		touch commands.conf
		grep -v shutdown /etc/vdr/commands.conf > commands.conf
		cat >> commands.conf <<-EOT
			enable shutdown	: /usr/bin/vdr-set-shutdown 1
			disable shutdown	: /usr/bin/vdr-set-shutdown 0
		EOT
		
	fi

	insinto /etc/vdr
 	doins [a-z]*.conf
 	doins [a-z]*.conf.*
	fowners vdr:video /etc/vdr
	insinto /etc/vdr/plugins/.keep
	fowners vdr:video /etc/vdr/plugins

        if [ -d $VDRSOURCE_DIR ] && [ ! -z $VDRSOURCE_DIR ]; then
        	OLD_VDRDIR=`readlink $VDRSOURCE_DIR/VDR`
            	dodir $VDRSOURCE_DIR/vdr-${PV}
            	dosym vdr-${PV} $VDRSOURCE_DIR/VDR
            	mv -f ${S}/Makefile ${S}/Makefile.new
            	mv -f ${S}/Makefile.org ${S}/Makefile
            	for d in `find . -type d` ; do
                	dodir $VDRSOURCE_DIR/vdr-${PV}/${d}
                	insinto $VDRSOURCE_DIR/vdr-${PV}/${d}
                	cd ${S}/${d}
			for f in *.original ; do
		    		ORGNAME=`echo "${f}" | sed "s/.original//"`
		    		mv -f "$ORGNAME" "$ORGNAME.new"
		    		mv -f "${f}" "$ORGNAME"
			done
                	for f in * .* ; do
                   	test -f "${f}" && doins "${f}"
                	done
            	done
        fi
}

pkg_setup(){
	# temp userid 270 until got one from gentoo.org
	if ! grep -q "^vdr:" /etc/passwd ; then
		useradd -u 270 -g video -G audio,cdrom -d /video -s /bin/bash -c "VDR Daemon" vdr
		einfo "Added vdr user with id 270 and groups video, audio and cdrom."
	fi

	# some short info about use flags of vdr
	echo
	einfo
	einfo "Video Disk Recorder"
	einfo "-------------------"
	einfo
	einfo "You can use some VDR-USE-Flags to build your special VDR."
	einfo "Only add "
	einfo "VDR_OPTS=\"...\""
	einfo "to /etc/make.conf"
	einfo
	einfo
	einfo "Here is a list of all possible VDR_OPTS:"
	einfo
	einfo "Note: New patches are marked like the next line:"
	eerror "new patch -> description"
	einfo
	einfo "General VDR compile settings:"
	einfo
	einfo "vfat -> enables vfat support in vdr"
	einfo "no-kbd -> disables keyboard support in vdr"
	einfo "rcu -> enables rcu Remote-Support of VDR - look at http://www.cadsoft.de/vdr/remote.htm"
	einfo
	einfo
	einfo "Additional Patches:"
	einfo
	einfo "aio -> patching vdr with: enAIO Patch"
	einfo "analogtv -> needed for anaolgtv"
#	einfo "beauty -> patching vdr with: Replay Mode Beauty Patch"
	einfo "director -> patch to use director plugin"
#	einfo "disable-epg-scan -> disbales the epg-scans in vdr"
#	einfo "doubleepg -> automaticly clean out double epg entries"
	einfo "instant-replay -> instant resume of the last viewed recording with play key"
	einfo "jumpplay -> patching vdr with: jumpplay Patch (automatically jump over cutting mark)"
	einfo "lnb-sharing -> pachtes vdr to solve problmes if two or more dvb-cards are using the same lng exit"
	einfo "preffered-audiopid -> for more infos look at http://www.vdrportal.de/board/thread.php?threadid=17497&"
	einfo "submenu -> patching vdr with: Submenu Patch"
	einfo "subtitles -> patching vdr with: Subtitles Patch (incompatible with AC3overDVB)"
#	einfo "time -> patches vdr to allow seting time as non-root user"
	einfo "vdr-ro -> if you saved your /video dir to dvd it is now possible to stop watching in the middle"
	einfo "          of a movie and resume without writing to a read-only medium - instead /tmp"
#	einfo "yaepg -> patches vdr to use the yaepg-plugin"
	einfo "hdtv -> enlarges some buffers in VDR to allow recording and replaying of HDTV streams"
	einfo
	einfo
	einfo "Your VDR_OPTS: $VDR_OPTS"
	einfo
	einfo "It is also possible to apply local patches. You only need"
	einfo "to add VDR_LOCAL_PATCHES to your make.conf. Here a simpe example:"
	einfo
	einfo "VDR_LOCAL_PATCHES=\"/usr/../patch1.diff /usr/../patch2.diff\""
	einfo
	einfo "NOTE: If you have any problems or improvements than open a new bug at"
	einfo "      bugs.gentoo.de"
	echo
}

pkg_postinst() {
	if ! test -d /video -o -d /video0; then
		mkdir /video
		fowners vdr:video /video
	fi

        if [ -d $VDRSOURCE_DIR ] && [ ! -z $VDRSOURCE_DIR ]; then
            if [ "$OLD_VDRDIR" == "vdr-${PV}" ] ; then
               echo "VDR source directory unchanged"
            fi
        fi

	echo
	einfo
	einfo "Congratulations, you have just installed VDR,"
	einfo "The Digital Video Recorder. To get started you"
	einfo "should read, read, read ..."
	einfo "A good starting point seems to be:"
	einfo "http://vdr.gentoo.de/ and "
	einfo "http://www.vdrportal.de/board/board.php?boardid=56"
	einfo

	einfo "Remember: it is generally a good idea, to recompile plugins now."
	einfo
	einfo "Simply start vdr-reemerge-plugins"
	einfo

	einfo
	einfo "You can enable or disable nvram support via Commands form VDR"
	einfo "Only press MENU, Commands and you will see nvram control"
	einfo

	einfo "Please also have a look at /etc/conf.d/vdr.shutdown"
}
