# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-extb/vdrplugin-extb-0.2.8-r1.ebuild,v 1.2 2004/08/24 23:13:47 austriancoder Exp $

IUSE=""

inherit vdrplugin eutils

DESCRIPTION="Video Disk Recorder ExtensionBoard PlugIn"
HOMEPAGE="http://deltab.de/vdr/extb.html"
SRC_URI="http://deltab.de/vdr/vdr-${VDRPLUGIN}-${PV}.tgz
	http://www.tb-electronic.de/vdr/tmp/extb_firmware_1.08_lircd.conf.zip
	http://home.t-online.de/home/tb_electronic/vdr/tmp/extb.tar.gz"

KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"

DEPEND=">=media-video/vdr-1.2.5"

src_unpack() {
	vdrplugin_src_unpack

	epatch ${FILESDIR}/extb_0.2.8.diff
	cd ${S}
	tar -xzxf ${FILESDIR}/extb-wakeup-0.2.9.tar.gz	
}

src_install() {
	vdrplugin_src_install

	# install extra docs
	dodoc README.de
	dodoc ${S}/../lircd.conf.extb_FW1.08
	docinto wakeup
	dodoc ${S}/wakeup/README.de

	# install scripts
	insinto /usr/bin/
	insopts -m0755
	doins ${S}/../extb/bin/extb.sh 
	doins ${S}/../extb/bin/picdl
	doins ${S}/../extb/bin/status.sh
	doins ${S}/../extb/bin/tx.sh
	doins ${S}/wakeup/extb-poweroff.pl
	doins ${S}/wakeup/examples/checkscript.sh

	# install extra stuff
	insinto /usr/share/extb/
	doins ${S}/../extb_1.08.hex
	insinto /etc/extb
	doins ${S}/../extb/bin/PICflags.conf
	doins ${S}/wakeup/examples/extb-poweroff.conf	
	insinto /etc/init.d
	insopts -m0755
	newins ${FILESDIR}/rc.irexec irexec
}

pkg_postinst() {
	vdrplugin_pkg_postinst

	einfo 
	einfo "You need to upload the included firmware (1.08)"
	einfo "into the extension board and update your lircd.conf"
	einfo "See the supplied lircd.conf.extb_FW1.08 in"
	einfo "/usr/share/doc/vdrplugin-extb"
}
