# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-graphlcd/vdrplugin-graphlcd-0.1.1-r1.ebuild,v 1.1 2004/09/29 19:25:18 austriancoder Exp $

IUSE=""
inherit vdrplugin eutils

DESCRIPTION="VDR Graphical LCD PlugIn"
HOMEPAGE="http://www.powarman.de"
SRC_URI="http://home.arcor.de/andreas.regel/files/vdr-${VDRPLUGIN}-${PV}.tgz"
KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL"

DEPEND=">=media-video/vdr-1.2.6"

src_unpack() {
	vdrplugin_src_unpack

	epatch ${FILESDIR}/graphlcd-0.1.1-showmsg.diff
}

src_install() {
	# install plugin
	vdrplugin_src_install

	# install config files
	insinto /etc/conf.d
	doins ${FILESDIR}/vdr.${VDRPLUGIN}

	# copy mediafiles into /usr/share/vdr folder
	insopts -m0644 -ovdr -gvideo
	insinto /usr/share/vdr/${VDRPLUGIN}
	doins ${S}/${VDRPLUGIN}/*
	insinto /usr/share/vdr/${VDRPLUGIN}/fonts
	doins ${S}/${VDRPLUGIN}/fonts/*
	insinto /usr/share/vdr/${VDRPLUGIN}/logos
	doins ${S}/${VDRPLUGIN}/logos/*
	insinto /usr/share/vdr/${VDRPLUGIN}/pics
	doins ${S}/${VDRPLUGIN}/pics/*
	insinto /usr/share/vdr/${VDRPLUGIN}/splash
	doins ${S}/${VDRPLUGIN}/splash/*

	if has_version ">=media-video/vdr-1.3.2" ;
	then
		dosym /usr/share/vdr/${VDRPLUGIN}/logonames.alias.1.3 /usr/share/vdr/${VDRPLUGIN}/logonames.alias
	else
		dosym /usr/share/vdr/${VDRPLUGIN}/logonames.alias.1.2 /usr/share/vdr/${VDRPLUGIN}/logonames.alias
	fi

	# install binaries
	exeinto /usr/local/bin
	doexe ${S}/tools/convpic/convpic
	doexe ${S}/tools/crtfont/crtfont
	doexe ${S}/tools/drawtest/drawtest
	doexe ${S}/tools/showpic/showpic
}

pkg_postinst() {
	vdrplugin_pkg_postinst

	# make symbolic links
	ln -s /usr/share/vdr/${VDRPLUGIN} /etc/vdr/plugins/${VDRPLUGIN}

	einfo "Add additional options in /etc/conf.d/vdr.graphlcd"
	einfo
}
