# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-graphtft/vdrplugin-graphtft-0.0.8.ebuild,v 1.1 2005/01/15 13:47:00 fow0ryl Exp $

# If this ebuild is in portage of gentoo.org remove nomirror
RESTRICT="nomirror"

IUSE=""
inherit vdrplugin eutils

DESCRIPTION="VDR GraphTFT Plugin"
HOMEPAGE="http://www-math.upb.de/~tegeler/vdr/graphtft/index.htm"
SRC_URI="http://homepages.uni-paderborn.de/tegeler/vdr/graphtft/files/vdr-${VDRPLUGIN}-${PV}.tar.bz2
         http://homepages.uni-paderborn.de/tegeler/vdr/graphtft/files/standard.tar.bz2
         http://ftp.gnome.org/pub/GNOME/sources/ttf-bitstream-vera/1.10/ttf-bitstream-vera-1.10.tar.bz2
"
		
KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"

DEPEND="
	>=media-video/vdr-1.2.6
	media-libs/imlib2
	>=media-video/ffmpeg-0.4.8
	directfb? ( dev-libs/DirectFB )
"

src_unpack() {
	vdrplugin_src_unpack

	cd ${S}
	sed -i \
	-e "s:^INCLUDES += -I\$(FFMDIR).*$:INCLUDES += -I\$(FFMDIR):g" \
	-e "s:^LIBS += -L\$(FFMDIR).*$:LIBS += -L\$(FFMDIR) -lavcodec:g" \
	Makefile || die
	
	if has_version ">=media-video/vdr-1.3.18" ;
        then
		epatch ${FILESDIR}/graphtft-0.0.8-1.3.18.diff
	fi
}

src_install() {
	vdrplugin_src_install

        if use doc;
	then
		dodoc ${S}/documents/*
	fi
	
	insopts -m0644 -ovdr -gvideo
	
	insinto /etc/vdr/plugins/graphTFT/fonts/
	doins ${WORKDIR}/ttf-bitstream-vera-1.10/*.ttf

	insinto /etc/vdr/plugins/graphTFT/themes/standard/
	doins ${WORKDIR}/standard/standard.theme

	rm ${WORKDIR}/standard/readme
	rm ${WORKDIR}/standard/license.txt
	rm ${WORKDIR}/standard/standard.theme
	
	for i in $(ls ${WORKDIR}/standard/) 
	do
		insinto /etc/vdr/plugins/graphTFT/themes/standard/${i}
		doins ${WORKDIR}/standard/${i}/*
	done
	
}
