# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-softdevice/vdrplugin-softdevice-0.0.7_pre3.ebuild,v 1.1 2004/11/04 23:24:52 austriancoder Exp $

# If this ebuild is in portage of gentoo.org remove nomirror
RESTRICT="nomirror"

IUSE="-pp_libavcodec"

inherit vdrplugin eutils

S=${WORKDIR}/${VDRPLUGIN}-0.0.7
DESCRIPTION="Video Disk Recorder Softdevice PlugIn"
HOMEPAGE="http://softdevice.berlios.de"
SRC_URI="http://download.berlios.de/softdevice/vdr-softdevice-0.0.7.tgz"
KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"

#
# function to implement a "local" use variable called VDR_SOFTDEVICE_OPTS
#
function vdr_softdevice_opts {
    local x
    for x in ${VDR_SOFTDEVICE_OPTS}
    do
        if [ "${x}" = "${1}" ]
        then
            return 0
        fi
    done
    return 1
}
DEPEND=">=media-video/vdr-1.3.9
	>=media-video/ffmpeg-0.4.8
	pp_libavcodec? ( >=media-video/ffmpeg-0.4.9_pre1 )"
if vdr_softdevice_opts vidix
then
    DEPEND="$DEPEND
	media-video/vidix-cvs"
fi

src_unpack() {
	vdrplugin_src_unpack

	sed -i "s/^VIDIX_DIR.*$/VIDIX_DIR = \/usr/" ${S}/Makefile
	sed -i "s/^LIBAVCODEC.*$/LIBAVCODEC = \/usr\/include\/ffmpeg/" ${S}/Makefile
	sed -i "s/@cp $@.*//" ${S}/Makefile
	sed -i "/cp.*LIBDIR/d" ${S}/Makefile

	# XV-Support
	if vdr_softdevice_opts xv
	then
		ewarn "enable XV-Support"
	    	sed -i "s/^#XV_SUPPORT.*$/XV_SUPPORT=1/"  ${S}/Makefile
    	else
       	ewarn "disable XV-Support"
	    	sed -i "s/^XV_SUPPORT.*$/#XV_SUPPORT=1/"  ${S}/Makefile
    	fi

	# vidix-Support
    	if vdr_softdevice_opts vidix
    	then
        	ewarn "enable Vidix-Support"
	    	sed -i "s/^#VIDIX_SUPPORT=1.*$/VIDIX_SUPPORT=1/"  ${S}/Makefile
    	else
        	ewarn "disable Vidix-Support"
	    	sed -i "s/^VIDIX_SUPPORT=1.*$/#VIDIX_SUPPORT=1/"  ${S}/Makefile
    	fi

    	# DFB-Support
    	if vdr_softdevice_opts dfb
    	then
        	ewarn "enable DFB-Support"
	    	sed -i "s/^#DFB_SUPPORT=1.*$/DFB_SUPPORT=1/" ${S}/Makefile
    	else
        	ewarn "disable DFB-Support"
	    	sed -i "s/^DFB_SUPPORT=1.*$/#DFB_SUPPORT=1/" ${S}/Makefile
    	fi

    	# FB-Support
    	if vdr_softdevice_opts fb
    	then
        	ewarn "enable FB-Support"
	    	sed -i "s/^#FB_SUPPORT=1.*$/FB_SUPPORT=1/" ${S}/Makefile
    	else
        	ewarn "disable FB-Support"
	    	sed -i "s/^FB_SUPPORT=1.*$/#FB_SUPPORT=1/" ${S}/Makefile
   	 fi
	 ! use pp_libavcodec && sed -i "s/^PP_LIBAVCODEC=1.*$/#PP_LIBAVCODEC=1/" ${S}/Makefile

}

pkg_setup(){
    # some short info about use flags of vdrplugin-softdevice
    echo
    einfo
    einfo "softdevice-plugin for Video Disk Recorder"
    einfo "-----------------------------------------"
    einfo
    einfo "You can use some VDR-SOFTDEVICE-USE-Flags to build your special plugin"
    einfo "Only add "
    einfo "VDR_SOFTDEVICE_OPTS=\"...\""
    einfo "to /etc/make.conf"
    einfo
    einfo
    einfo "Here is a list of all possible VDR_SOFTDEVICE_OPTS:"
    einfo
    einfo "xv -> enable XV-Support"
    einfo "vidix -> enable vidix-Support"
    einfo "dfb -> enable DFB-Support"
    einfo "fb -> enable FB-Support"
    einfo
    einfo "Your VDR_SOFTDEVICE_OPTS: $VDR_SOFTDEVICE_OPTS"
    einfo
    echo
}

pkg_postinst() {
	vdrplugin_pkg_postinst
	einfo
	einfo "please read manual and example scripts!!!"
	einfo
}
