# Copyright 2004 Gentoo Technologies Inc
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/media-video/vdrplugin-vdrrip/vdrplugin-vdrrip-0.3.0-r1.ebuild,v 1.2 2004/08/23 13:15:53 austriancoder Exp $

IUSE=""
inherit vdrplugin eutils

DESCRIPTION="Video Disk Recorder vdrrip PlugIn"
HOMEPAGE="http://www.a-land.de/"
SRC_URI="http://www.a-land.de/vdr-${VDRPLUGIN}-${PV}.tgz 
	http://www.a-land.de/queuehandler-fixed-0.3.0.sh"

KEYWORDS="~x86"
SLOT="0"
LICENSE="GPL-2"

DEPEND=">=media-video/vdr-1.2.0"
RDEPEND="media-video/mplayer sys-process/procps sys-apps/util-linux"
# media-video/vdrsync seems to be optional

src_unpack() {
	vdrplugin_src_unpack
	cp ${DISTDIR}/queuehandler-fixed-0.3.0.sh ${S}/scripts/queuehandler.sh	

	if  
	has_version ">=media-video/vdr-1.3.7" ;
	then
		einfo "applying VDR > 1.3.6 patch"
		epatch ${FILESDIR}/vdrrip-0.3.0-1.3.7.diff
	fi

	einfo "Patching queuehandler.sh.conf for gentoo-needs..."
	cd ${S}
	sed -i "s,/usr/local/bin/,/usr/bin/," scripts/queuehandler.sh.conf
	sed -i 's,scriptdir=`dirname $0`,scriptdir=/etc/conf.d,' scripts/queuehandler.sh
	sed -i 's,nice -+19,nice -n 19,' scripts/queuehandler.sh
}

src_install() {
	vdrplugin_src_install

	# save config files
	insinto /etc/conf.d
	newins scripts/queuehandler.sh.conf vdrrip-qh.conf
	# add start script
	exeinto /etc/init.d
	doexe ${FILESDIR}/vdrrip-qh
	# save in bin
	newbin scripts/queuehandler.sh vdrrip-qh
}

pkg_postinst() {
	vdrplugin_pkg_postinst

	einfo "You should have a look at this files:"
	einfo
	einfo "* /etc/conf.d/vdr.$VDRPLUGIN"
	einfo "* /etc/conf.d/vdrrip-qh.conf"
	einfo
	einfo "Use vdrrip-qh to start the vdrrip queue handler."
	einfo "You can also run 'rc-update add /etc/init.d/vdrrip-qh default'. to"
	einfo "let vdrrip-qh start automaticly when the system starts."
}
