# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-apps/graphlcd-base/graphlcd-base-0.1.2_pre6.ebuild,v 1.3 2005/05/15 23:13:50 hd_brummy Exp $

inherit eutils

RESTRICT="nomirror"
DESCRIPTION="Graphical LCD Driver"
HOMEPAGE="http://www.powarman.de"
SRC_URI="http://home.arcor.de/andreas.regel/files/${P/_/-}.tgz"

KEYWORDS="x86 ~amd64"
SLOT="0"
LICENSE="GPL-2"

S=${WORKDIR}/${P/_/-}

DEPEND="freetype? (media-libs/freetype
	media-fonts/corefonts)"

IUSE="freetype"

src_unpack()
{
	unpack ${A}
	cd ${S}
	epatch ${FILESDIR}/install_locations_0.1.2-pre6.diff
	if ! use freetype; then
		sed -i "s:HAVE_FREETYPE:#HAVE_FREETYPE:" ${S}/Make.config
	fi

	# use CFLAGS defined in /etc/make.conf instead of the ones in Make.config
	sed -i ${S}/Make.config -e "s:FLAGS *=:FLAGS ?=:"

}

src_compile()
{
	# Change CFLAGS for amd64 which needs -fPIC in plugins
	if [ "${ARCH}" = "amd64" ]; then
		ebegin "Adding -fPIC to CXXFLAGS for amd64"
		append-flags -fPIC
		eend 0
	fi
	emake || die "compile problem"
}

src_install()
{
	make DESTDIR=${D} install || die "make install failed"
	insinto /etc
	doins ${S}/graphlcd.conf
	dodoc ${S}/docs/*
}
