# Copyright 2003 Martin Hierling <mad@cc.fh-lippe.de>
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/sys-power/nvram-wakeup/nvram-wakeup-0.97.ebuild,v 1.3 2005/03/15 17:40:28 zzam Exp $

inherit eutils

IUSE=""

S=${WORKDIR}/${P}
DESCRIPTION="This is a (small) program that can read and write the WakeUp time in the Bios"
HOMEPAGE="http://sourceforge.net/projects/nvram-wakeup/"
SRC_URI="mirror://sourceforge/nvram-wakeup/${P}.tar.bz2"
KEYWORDS="x86"
SLOT="0"
LICENSE="GPL-2"

DEPEND=""

src_unpack() {
	unpack ${A}
}

src_compile() {
	make || die "compile problem"
}

src_install() {
	doman nvram-wakeup.8
	doman nvram-wakeup.conf.5
	dobin biosinfo cat_nvram guess nvram-wakeup rtc guess-helper
	newbin time nvram-time
	dodoc HISTORY README README.mb README.reboot
}

pkg_postinst() {
	echo
	ewarn "Ive renamed the time binary because it bothers"
	ewarn "the bash build in time funktion or the time tool."
	echo

	ewarn "First steps to get nvram working:"
	einfo "* Run  nvram-wakeup  in debug mode and see if  it can autodetect"
   	einfo "  your  board.  If  it  does  and  knows the addresses of this board,"
   	einfo "  you're done. Enjoy the program."
	echo
	einfo "* Else run guess-helper to setup nvram."
	echo
	einfo "You can find more infos here: README, README.mb and README.reboot"

	ebeep 5	# :)
}
